--
-- PostgreSQL database dump
--

-- Dumped from database version 12.10
-- Dumped by pg_dump version 12.10

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: tsl_data; Type: SCHEMA; Schema: -; Owner: postgres
--

CREATE SCHEMA tsl_data;


ALTER SCHEMA tsl_data OWNER TO postgres;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: avg_duration; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.avg_duration (
    id bigint NOT NULL,
    month_id character varying(6),
    city_name character varying(10),
    avg_duration double precision NOT NULL,
    cteate_time timestamp without time zone
);


ALTER TABLE tsl_data.avg_duration OWNER TO postgres;

--
-- Name: TABLE avg_duration; Type: COMMENT; Schema: tsl_data; Owner: postgres
--

COMMENT ON TABLE tsl_data.avg_duration IS '地市_月_平均处理时长';


--
-- Name: avg_duration_id_seq; Type: SEQUENCE; Schema: tsl_data; Owner: postgres
--

CREATE SEQUENCE tsl_data.avg_duration_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE tsl_data.avg_duration_id_seq OWNER TO postgres;

--
-- Name: avg_duration_id_seq; Type: SEQUENCE OWNED BY; Schema: tsl_data; Owner: postgres
--

ALTER SEQUENCE tsl_data.avg_duration_id_seq OWNED BY tsl_data.avg_duration.id;


--
-- Name: cron_task_record; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.cron_task_record (
    id bigint NOT NULL,
    create_date timestamp without time zone,
    end_status character varying(255),
    end_time timestamp without time zone,
    last_update_date timestamp without time zone,
    start_time timestamp without time zone,
    task_info text,
    task_name character varying(255),
    time_cost bigint
);


ALTER TABLE tsl_data.cron_task_record OWNER TO postgres;

--
-- Name: cron_task_record_id_seq; Type: SEQUENCE; Schema: tsl_data; Owner: postgres
--

ALTER TABLE tsl_data.cron_task_record ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME tsl_data.cron_task_record_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: high_quality_count_day; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.high_quality_count_day (
    id bigint NOT NULL,
    month_id character varying(6) NOT NULL,
    day_id character varying(2) NOT NULL,
    acct_date character varying(30) NOT NULL,
    businoareaname character varying(15) NOT NULL,
    profes_dep character varying(15) NOT NULL,
    big_type_name character varying(60) NOT NULL,
    small_type_name character varying(120) NOT NULL,
    total_complaints character varying(30),
    hotline_complaints character varying(30),
    other_complaint character varying(30),
    litigation_volume character varying(30),
    satisfaction_rate character varying(30),
    satisfaction_count character varying(30),
    total_evaluation character varying(30),
    complaint_satisfied character varying(30),
    complaint_satisfied_list character varying(30),
    complaint_satisfied_count character varying(30),
    complaint_resolution character varying(30),
    complaint_resolution_list character varying(30),
    complaint_resolution_count character varying(30),
    complaint_response character varying(30),
    complaint_response_list character varying(30),
    complaint_response_count character varying(30),
    complaint character varying(30),
    fault_satisfaction_rate character varying(30),
    fault_satisfaction_list character varying(30),
    fault_satisfaction_count character varying(30),
    fault_resolution_rate character varying(30),
    fault_resolution_list character varying(30),
    fault_resolution_count character varying(30),
    fault_response_rate character varying(30),
    fault_response_list character varying(30),
    fault_response_count character varying(30),
    cteate_time timestamp without time zone DEFAULT now()
);


ALTER TABLE tsl_data.high_quality_count_day OWNER TO postgres;

--
-- Name: high_quality_count_day_id_seq; Type: SEQUENCE; Schema: tsl_data; Owner: postgres
--

CREATE SEQUENCE tsl_data.high_quality_count_day_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE tsl_data.high_quality_count_day_id_seq OWNER TO postgres;

--
-- Name: high_quality_count_day_id_seq; Type: SEQUENCE OWNED BY; Schema: tsl_data; Owner: postgres
--

ALTER SEQUENCE tsl_data.high_quality_count_day_id_seq OWNED BY tsl_data.high_quality_count_day.id;


--
-- Name: high_quality_data; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.high_quality_data (
    id bigint NOT NULL,
    area_id character varying(50),
    area_name character varying(50),
    checked_city character varying(50),
    checked_region character varying(50),
    checked_region_reason character varying(50),
    city_id character varying(50),
    city_name character varying(50),
    cp_is_ok character varying(50),
    cp_satisfaction character varying(50),
    cp_timely_contact character varying(50),
    create_date timestamp without time zone,
    day_id character varying(8) NOT NULL,
    last_update_date timestamp without time zone,
    no_visit_tag character varying(50),
    sheet_no character varying(50) NOT NULL,
    checked_city_reason character varying(50)
);


ALTER TABLE tsl_data.high_quality_data OWNER TO postgres;

--
-- Name: high_quality_data_id_seq; Type: SEQUENCE; Schema: tsl_data; Owner: postgres
--

ALTER TABLE tsl_data.high_quality_data ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME tsl_data.high_quality_data_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: high_quality_list_day; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.high_quality_list_day (
    id bigint NOT NULL,
    month_id character varying(18),
    day_id character varying(6),
    contact_id character varying(150),
    busino_area_name character varying(90),
    busino_prov_name character varying(90),
    sheet_no character varying(90),
    busi_number character varying(120),
    cust_star_name character varying(30),
    sheet_type_name character varying(150),
    serv_type_name character varying(900),
    last_deal_content character varying(4136),
    accept_time character varying(150),
    archived_time character varying(150),
    data_type_name character varying(300),
    channel_name character varying(150),
    profes_dep character varying(300),
    big_type_name character varying(300),
    small_type_name character varying(300),
    is_dispatch_cloud character varying(30),
    accept_channel_name character varying(300),
    duty_reason_name character varying(900),
    duty_major_name character varying(300),
    is_online_complete character varying(15),
    is_call_complete character varying(15),
    is_cusser_complete character varying(15),
    is_distr_complete character varying(15),
    caller_number character varying(90),
    compl_area_name character varying(60),
    compl_prov_name character varying(60),
    submit_channel character varying(300),
    solved_result_desc character varying(4136),
    cust_level_name character varying(300),
    busi_type_name character varying(300),
    urgent_level_name character varying(300),
    important_type_name character varying(300),
    is_upgrade character varying(15),
    actual_total_len character varying(60),
    nature_actual_total_len character varying(60),
    cust_satis_desc character varying(300),
    auto_is_ok character varying(60),
    auto_cust_satis_desc character varying(300),
    nonauto_is_ok_name character varying(15),
    nonauto_cust_satis_desc character varying(150),
    prod_type_name character varying(300),
    proc_name character varying(600),
    merge_satis_desc character varying(60),
    serv_type_name_new character varying(1500),
    is_svip_keyman character varying(6),
    customer_label character varying(120),
    prov_name character varying(180),
    area_id character varying(30),
    area_name character varying(150),
    city_id character varying(60),
    city_name character varying(300),
    grid_id character varying(60),
    grid_name character varying(300),
    is_distri_area character varying(15),
    cp_satisfaction character varying(60),
    cp_is_ok character varying(60),
    cp_timely_contact character varying(60),
    cp_type character varying(300),
    novisit_tag character varying(30),
    serv_content character varying(4136),
    gis_area character varying(60),
    gis_area_name character varying(60),
    gis_city character varying(60),
    gis_city_name character varying(60),
    use_gis character varying(3),
    month_date character varying(18),
    day_date character varying(6)
);


ALTER TABLE tsl_data.high_quality_list_day OWNER TO postgres;

--
-- Name: high_quality_list_day_id_seq; Type: SEQUENCE; Schema: tsl_data; Owner: postgres
--

CREATE SEQUENCE tsl_data.high_quality_list_day_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE tsl_data.high_quality_list_day_id_seq OWNER TO postgres;

--
-- Name: high_quality_list_day_id_seq; Type: SEQUENCE OWNED BY; Schema: tsl_data; Owner: postgres
--

ALTER SEQUENCE tsl_data.high_quality_list_day_id_seq OWNED BY tsl_data.high_quality_list_day.id;


--
-- Name: mobile_complaint_day; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.mobile_complaint_day (
    id bigint NOT NULL,
    month_id character varying(6) NOT NULL,
    day_id character varying(2) NOT NULL,
    acct_date character varying(300) NOT NULL,
    sheet_no character varying(150),
    is_online_complete character varying(300),
    contact_no character varying(300),
    busi_no character varying(300),
    serv_content character varying(4136),
    last_deal_content character varying(4136),
    deal_depart_name character varying(300),
    deal_opinion character varying(4136),
    serv_type character varying(600),
    bus_type character varying(300),
    duty_reason character varying(600),
    accept_channel character varying(300),
    submit_channel character varying(300),
    compl_area_local character varying(300),
    duty_major character varying(300),
    product_name character varying(600),
    sp_product_code character varying(600),
    pre_repair_name character varying(300),
    pre_repair_charges character varying(24),
    fault_location character varying(300),
    cust_level character varying(300),
    satisfaction_in_reply character varying(300),
    is_ok_in_reply character varying(300),
    accept_time character varying(19),
    end_time character varying(19),
    proce_time character varying(19),
    cust_area character varying(300),
    is_cust_serv_complete character varying(300),
    is_send_sheet_complete character varying(300),
    is_repeat character varying(300),
    is_upgrade character varying(300),
    is_timeout character varying(300),
    gis_city character varying(300),
    process_nums character varying(24),
    deal_depart_name_1 character varying(300),
    deal_depart_name_2 character varying(300),
    deal_depart_name_3 character varying(300),
    first_call_back_time character varying(19),
    proce_remark character varying(4136),
    duty_major_day character varying(300),
    duty_reason_id_day character varying(300),
    duty_major_month character varying(300),
    duty_reason_id_month character varying(300),
    voice_text character varying(4136),
    cteate_time timestamp without time zone DEFAULT now()
);


ALTER TABLE tsl_data.mobile_complaint_day OWNER TO postgres;

--
-- Name: mobile_complaint_id_seq; Type: SEQUENCE; Schema: tsl_data; Owner: postgres
--

CREATE SEQUENCE tsl_data.mobile_complaint_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE tsl_data.mobile_complaint_id_seq OWNER TO postgres;

--
-- Name: mobile_complaint_id_seq; Type: SEQUENCE OWNED BY; Schema: tsl_data; Owner: postgres
--

ALTER SEQUENCE tsl_data.mobile_complaint_id_seq OWNED BY tsl_data.mobile_complaint_day.id;


--
-- Name: sys_data_dictionary; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.sys_data_dictionary (
    id bigint NOT NULL,
    create_date timestamp without time zone,
    last_update_date timestamp without time zone,
    nick_code character varying(50),
    nick_name character varying(100),
    real_code character varying(50),
    real_name character varying(100),
    type character varying(50),
    ord integer,
    parent_id bigint
);


ALTER TABLE tsl_data.sys_data_dictionary OWNER TO postgres;

--
-- Name: sys_data_dictionary_id_seq1; Type: SEQUENCE; Schema: tsl_data; Owner: postgres
--

ALTER TABLE tsl_data.sys_data_dictionary ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME tsl_data.sys_data_dictionary_id_seq1
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: target_ts_ratio; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.target_ts_ratio (
    id bigint NOT NULL,
    city_name character varying(50) NOT NULL,
    create_date timestamp without time zone,
    customer_target_ratio double precision NOT NULL,
    last_update_date timestamp without time zone,
    management_target_ratio double precision NOT NULL,
    month_id character varying(8) NOT NULL
);


ALTER TABLE tsl_data.target_ts_ratio OWNER TO postgres;

--
-- Name: target_ts_ratio_id_seq; Type: SEQUENCE; Schema: tsl_data; Owner: postgres
--

ALTER TABLE tsl_data.target_ts_ratio ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME tsl_data.target_ts_ratio_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: task_record; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.task_record (
    id bigint NOT NULL,
    create_date timestamp without time zone,
    end_status integer,
    end_time timestamp without time zone,
    last_update_date timestamp without time zone,
    start_time timestamp without time zone,
    task_info text,
    task_name character varying(255),
    time_cost bigint
);


ALTER TABLE tsl_data.task_record OWNER TO postgres;

--
-- Name: task_record_id_seq; Type: SEQUENCE; Schema: tsl_data; Owner: postgres
--

ALTER TABLE tsl_data.task_record ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME tsl_data.task_record_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: user_count; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.user_count (
    id bigint NOT NULL,
    city_name character varying(50) NOT NULL,
    create_date timestamp without time zone,
    customer_user_count double precision,
    last_update_date timestamp without time zone,
    management_user_count double precision,
    month_id character varying(8) NOT NULL
);


ALTER TABLE tsl_data.user_count OWNER TO postgres;

--
-- Name: user_count_id_seq; Type: SEQUENCE; Schema: tsl_data; Owner: postgres
--

ALTER TABLE tsl_data.user_count ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME tsl_data.user_count_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: work_flow_basic_data; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data (
    id bigint NOT NULL,
    city_id character varying(50),
    create_date timestamp without time zone,
    kfsn character varying(50) NOT NULL,
    last_update_date timestamp without time zone,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data OWNER TO postgres;

--
-- Name: work_flow_basic_data_id_seq; Type: SEQUENCE; Schema: tsl_data; Owner: postgres
--

ALTER TABLE tsl_data.work_flow_basic_data ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME tsl_data.work_flow_basic_data_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: work_flow_basic_data_temp_1703433900116; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703433900116 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703433900116 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703437500106; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703437500106 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703437500106 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703441100143; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703441100143 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703441100143 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703444700110; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703444700110 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703444700110 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703448300101; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703448300101 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703448300101 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703451900113; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703451900113 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703451900113 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703455500188; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703455500188 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703455500188 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703459100110; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703459100110 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703459100110 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703462700104; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703462700104 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703462700104 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703466300104; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703466300104 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703466300104 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703469900114; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703469900114 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703469900114 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703473500109; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703473500109 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703473500109 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703477100107; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703477100107 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703477100107 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703480700107; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703480700107 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703480700107 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703484300146; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703484300146 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703484300146 OWNER TO postgres;

--
-- Name: work_flow_basic_data_temp_1703487900106; Type: TABLE; Schema: tsl_data; Owner: postgres
--

CREATE TABLE tsl_data.work_flow_basic_data_temp_1703487900106 (
    city_id character varying(50),
    kfsn character varying(50) NOT NULL,
    region_id character varying(50),
    work_flow_create_time timestamp without time zone,
    work_flow_update_time timestamp without time zone
);


ALTER TABLE tsl_data.work_flow_basic_data_temp_1703487900106 OWNER TO postgres;

--
-- Name: avg_duration id; Type: DEFAULT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.avg_duration ALTER COLUMN id SET DEFAULT nextval('tsl_data.avg_duration_id_seq'::regclass);


--
-- Name: high_quality_count_day id; Type: DEFAULT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.high_quality_count_day ALTER COLUMN id SET DEFAULT nextval('tsl_data.high_quality_count_day_id_seq'::regclass);


--
-- Name: high_quality_list_day id; Type: DEFAULT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.high_quality_list_day ALTER COLUMN id SET DEFAULT nextval('tsl_data.high_quality_list_day_id_seq'::regclass);


--
-- Name: mobile_complaint_day id; Type: DEFAULT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.mobile_complaint_day ALTER COLUMN id SET DEFAULT nextval('tsl_data.mobile_complaint_id_seq'::regclass);


--
-- Name: cron_task_record cron_task_record_pkey; Type: CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.cron_task_record
    ADD CONSTRAINT cron_task_record_pkey PRIMARY KEY (id);


--
-- Name: high_quality_count_day high_quality_count_day_pkey; Type: CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.high_quality_count_day
    ADD CONSTRAINT high_quality_count_day_pkey PRIMARY KEY (id);


--
-- Name: high_quality_data high_quality_data_pkey; Type: CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.high_quality_data
    ADD CONSTRAINT high_quality_data_pkey PRIMARY KEY (id);


--
-- Name: high_quality_list_day high_quality_list_day_pkey; Type: CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.high_quality_list_day
    ADD CONSTRAINT high_quality_list_day_pkey PRIMARY KEY (id);


--
-- Name: mobile_complaint_day mobile_complaint_pkey; Type: CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.mobile_complaint_day
    ADD CONSTRAINT mobile_complaint_pkey PRIMARY KEY (id);


--
-- Name: user_count month_city_unique; Type: CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.user_count
    ADD CONSTRAINT month_city_unique UNIQUE (month_id, city_name);


--
-- Name: sys_data_dictionary sys_data_dictionary_pkey1; Type: CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.sys_data_dictionary
    ADD CONSTRAINT sys_data_dictionary_pkey1 PRIMARY KEY (id);


--
-- Name: target_ts_ratio target_ts_ratio_pkey; Type: CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.target_ts_ratio
    ADD CONSTRAINT target_ts_ratio_pkey PRIMARY KEY (id);


--
-- Name: task_record task_record_pkey; Type: CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.task_record
    ADD CONSTRAINT task_record_pkey PRIMARY KEY (id);


--
-- Name: user_count user_count_pkey; Type: CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.user_count
    ADD CONSTRAINT user_count_pkey PRIMARY KEY (id);


--
-- Name: work_flow_basic_data work_flow_basic_data_pkey; Type: CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.work_flow_basic_data
    ADD CONSTRAINT work_flow_basic_data_pkey PRIMARY KEY (id);


--
-- Name: sys_data_dictionary fk77q91mf3guu88esemsn77afkd; Type: FK CONSTRAINT; Schema: tsl_data; Owner: postgres
--

ALTER TABLE ONLY tsl_data.sys_data_dictionary
    ADD CONSTRAINT fk77q91mf3guu88esemsn77afkd FOREIGN KEY (parent_id) REFERENCES tsl_data.sys_data_dictionary(id);


--
-- PostgreSQL database dump complete
--

